Bug 1176844 - add ${FLANNEL_OPTIONS} to flanneld.service unitfile
Summary: add ${FLANNEL_OPTIONS} to flanneld.service unitfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flannel
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 13:23 UTC by Jeremy Eder
Modified: 2015-01-03 19:11 UTC (History)
8 users (show)

Fixed In Version: flannel-0.2.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 19:00:07 UTC


Attachments (Terms of Use)

Description Jeremy Eder 2014-12-23 13:23:51 UTC
Description of problem:
In Fedora's flannel package, in /etc/sysconfig/flanneld:

# Any additional options that you want to pass
FLANNEL_OPTIONS=""

But, that variable is unused, because it's not set in the systemd unitfile.

# grep ExecStart /usr/lib/systemd/system/flanneld.service 
ExecStart=/usr/bin/flanneld -etcd-endpoints=${FLANNEL_ETCD} -etcd-prefix=${FLANNEL_ETCD_KEY}

Please append ${FLANNEL_OPTIONS} to the end of the ExecStart line in the flanneld systemd unitfile.

Comment 1 Lokesh Mandvekar 2014-12-23 15:26:54 UTC
looks like jchaloup may be done for this year, I'll take this

Comment 2 Fedora Update System 2014-12-23 19:36:40 UTC
flannel-0.2.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flannel-0.2.0-1.fc21

Comment 3 Fedora Update System 2014-12-23 19:53:24 UTC
flannel-0.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flannel-0.2.0-1.fc20

Comment 4 lnie 2014-12-24 05:20:57 UTC
flannel-0.2.0-1.fc21 works

Comment 5 Fedora Update System 2014-12-25 05:30:47 UTC
Package flannel-0.2.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flannel-0.2.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17557/flannel-0.2.0-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-03 19:00:07 UTC
flannel-0.2.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-03 19:11:35 UTC
flannel-0.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.